--- title: "Set Channel Custom Fields" slug: "set-channel-custom-fields" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/set-channel-custom-fields" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Set Channel Custom Fields Post/api/v1/channels.setCustomFields Sets the custom fields for a channel. Permission required: `edit-room`. See the [Configure Custom Fields for Users](https://docs.rocket.chat/docs/custom-fields) document for configuration information. ### Changelog | Version | Description | | --- | --- | | 0.62.0 | Added | Header parametersX-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ X-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f Body parametersExample ```json { "roomId": "GENERAL", "customFields": { "organization": "tra-la-la" } } ``` Expand Allobject roomIdstring Required The channel's ID. Alternatively, enter the `roomName` parameter and provide the room's name as the value. customFieldsobject Required The custom fields to set for the channel. organizationstring Responses200 OK Success ```json { "channel": { "_id": "WDuJLFkjwk6L7LdFC", "fname": "new", "customFields": { "organization": "tra-la-la" }, "topic": "", "broadcast": false, "encrypted": false, "name": "new", "t": "c", "msgs": 72, "usersCount": 45, "u": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie" }, "ts": "2023-04-05T22:34:38.936Z", "ro": false, "default": false, "sysMes": true, "_updatedAt": "2023-09-27T05:24:34.363Z", "lastMessage": { "_id": "mBfC3sbNhfwcL4AQu", "rid": "WDuJLFkjwk6L7LdFC", "msg": "It should be good", "ts": "2023-09-16T07:37:59.691Z", "u": { "_id": "rbAXPnMktTFbNpwtJ", "username": "test.test", "name": "test test" }, "_updatedAt": "2023-09-16T07:37:59.815Z", "urls": [], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "It should be good" } ] } ] }, "lm": "2023-09-16T07:37:59.691Z", "announcement": "Test out everything" }, "success": true } ``` Expand Allobject channelobject _idstring fnamestring customFieldsobject organizationstring topicstring broadcastboolean encryptedboolean namestring tstring msgsinteger usersCountinteger uobject _idstring usernamestring tsstring roboolean defaultboolean sysMesboolean _updatedAtstring lastMessageobject _idstring ridstring msgstring tsstring uobject _idstring usernamestring namestring _updatedAtstring urls Array of object object mentions Array of object object channels Array of object object md Array of object object typestring value Array of object object typestring valuestring lmstring announcementstring successboolean 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring